Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055966
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSmajoralways2024-07-02 23:052024-07-12 11:06
ReportersdossantosView Statuspublic 
Assigned ToSABARINATH P 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version24Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0055966: Error with Print Product Label

DescriptionWhen we have time difference (UTF) we have errors when calculating the print product label.
We always subtract as the service that gets the price product label is:

  /**
   * This method will return the correct date which should be stored in the database taking into
   * account the client and the server date
   */
  public static Date calculateClientDatetime(String orgClientDate, Long dateOffset) {
    Date serverDate = (Date) JsonToDataConverter.convertJsonToPropertyValue(PropertyByType.DATETIME,
        orgClientDate.lastIndexOf(".") != -1
            ? orgClientDate.subSequence(0, orgClientDate.lastIndexOf("."))
            : orgClientDate);
    // date is the date in the server timezone, we need to convert it to the date in the
    // original time zone
    Date dateUTC = convertToUTC(serverDate);
    Date clientDate = new Date();
    clientDate.setTime(dateUTC.getTime() - dateOffset * 60 * 1000);
    return clientDate;
  }
Steps To ReproduceUse the Argentina time for example (configure on your computer)
1- Add a product price exception in backoffice for a product. For example with start date with yesterday's date - pio 10
2- Get the product print label of the product you configured in step 1, we see the price 10
3- now let's change the exception configured in step 1, with today's date in the start date,
4 - In product pront label, we see another price and not 10.

Attached video
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0055893 scheduledSABARINATH P Error with Print Product Label 

-  Notes
(0166899)
hgbot (developer)
2024-07-11 13:18

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing/-/merge_requests/68 [^]
(0166930)
hgbot (developer)
2024-07-12 11:06

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing [^]
Changeset: 2ab0eca72204b183a53253a580739858160bb6bd
Author: Sabarinath <sabarinath.palanisamy.ext@openbravo.com>
Date: 11-07-2024 16:42:15
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing/-/commit/2ab0eca72204b183a53253a580739858160bb6bd [^]

Fixed ISSUE-55966: Product price exception valid date handled for any time zone.

---
M web-jspack/org.openbravo.pos2.product.label.printing/src/components/PrintProductLabel/PrintProductLabelSelectProdStep/PrintProductLabelProductListGrid/PrintProductLabelProductListGrid.jsx
---
(0166931)
hgbot (developer)
2024-07-12 11:06

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing/-/merge_requests/68 [^]

- Issue History
Date Modified Username Field Change
2024-07-10 14:42 SABARINATH P Type defect => backport
2024-07-10 14:42 SABARINATH P Target Version => 24Q2.1
2024-07-11 13:18 hgbot Note Added: 0166899
2024-07-12 11:06 hgbot Resolution open => fixed
2024-07-12 11:06 hgbot Status scheduled => closed
2024-07-12 11:06 hgbot Note Added: 0166930
2024-07-12 11:06 hgbot Note Added: 0166931


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker